#!/usr/bin/make -f
#-*- makefile -*-

export PYBUILD_NAME=zodbpickle
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zodbpickle -vv
export PYBUILD_AFTER_INSTALL_python3 = cd {destdir}{install_dir}/zodbpickle && rm -r *.c

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/zodbpickle/*.so
